Skip to main content
GET
/
api
/
scans
/
{scan_id}
/
results
Get Results
curl --request GET \
  --url https://api.example.com/api/scans/{scan_id}/results \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "scan_id": "<string>",
    "filepath": "<string>",
    "given_label": "<string>",
    "predicted_label": "<string>",
    "flags": {},
    "extra": {},
    "scan_type": "<string>",
    "vulnerability_type": "<string>",
    "severity": "<string>",
    "status": "<string>",
    "score": 123,
    "dataset_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "mislabel_performed": true,
    "poison_performed": true,
    "volume": {
      "case_id": "<string>",
      "flagged_count": 123,
      "flagged_slices": [
        {
          "result_id": "<string>",
          "filepath": "<string>",
          "slice_index": 123,
          "score": 123,
          "given_label": "<string>",
          "predicted_label": "<string>",
          "created_at": "2023-11-07T05:31:56Z"
        }
      ],
      "primary_result_id": "<string>",
      "result_ids": [
        "<string>"
      ],
      "slice_count": 123,
      "image_path": "<string>",
      "mask_path": "<string>",
      "image_url": "<string>",
      "mask_url": "<string>",
      "organ_segments": [
        {
          "label": "<string>",
          "start": 123,
          "end": 123,
          "color": "<string>",
          "label_value": 123
        }
      ],
      "highlight_segments": [
        {
          "label": "<string>",
          "start": 123,
          "end": 123,
          "color": "<string>",
          "label_value": 123
        }
      ],
      "case_bounds": {},
      "label_value_map": {},
      "metadata": {}
    }
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

scan_id
string
required

Query Parameters

page
integer
default:1
Required range: x >= 1
per_page
integer
default:20
Required range: 1 <= x <= 200
view
enum<string>
default:auto
Available options:
auto,
slices,
volume
include_candidates
boolean
default:false
include_weak_candidates
boolean
default:false
paginated
boolean
default:false
q
string | null
type
string[]
subtype
string[]
severity
string[]
status
string[]
off_topic_score_min
number | null
off_topic_score_max
number | null

Cookies

antidote_session
string | null

Response

Successful Response

id
string
required
scan_id
string
required
filepath
string
required
given_label
string | null
required
predicted_label
string | null
required
flags
Flags · object
required
extra
Extra · object
required
scan_type
string | null
vulnerability_type
string | null
severity
string | null
status
string | null
score
number | null
dataset_id
string | null
created_at
string<date-time> | null
mislabel_performed
boolean | null
poison_performed
boolean | null
volume
VolumeInfo · object